# Interface SharedArrayBufferConstructor

interface SharedArrayBufferConstructor {
new SharedArrayBufferConstructor new (byteLength): SharedArrayBuffer;
prototype: SharedArrayBuffer;
}

- Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:36

#####
Index

### Constructors

constructor

### Properties

prototype

## Constructors

### constructor

- new SharedArrayBufferConstructor(byteLength): SharedArrayBuffer

- #### Parameters

  - byteLength: number

  #### Returns SharedArrayBuffer

  - Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:38

## Properties

### `Readonly` prototype

prototype: SharedArrayBuffer

- Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:37